Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.transport
Class AsyncService

    java.lang.Object
      com.sshtools.j2ssh.transport.Service
          com.sshtools.j2ssh.transport.AsyncService

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  AuthenticationProtocolServer, ConnectionProtocol

public abstract class AsyncService
extends Service
implements java.lang.Runnable

Extends the simple `Service` class to provide an asyncronous messaging service for the transport protocol.

Since:
  0.2.0

Field Summary
`protected SshThread` | `thread` DOCUMENT ME!

Fields inherited from class com.sshtools.j2ssh.transport.Service
`ACCEPTING_SERVICE, messageStore, REQUESTING_SERVICE, startMode, state, transport`

Constructor Summary
`AsyncService(java.lang.String serviceName)` Constructs an asyncronous service.

Method Summary
`protected abstract int[]` | `getAsyncMessageFilter()` Implement this method by returning the message ids of the asyncrounous messages your implementation wants to receive.
`protected abstract void` | `onMessageReceived(SshMessage msg)` Called by the service thread when an asyncronous message is received.
`protected void` | `onStart()` Implements the abstract `Service` method and starts the service thread.
`protected abstract void` | `onStop()` The service thread calls this method when the thread is exiting.
`void` | `run()` Implements the asyncronous services message loop.

Methods inherited from class com.sshtools.j2ssh.transport.Service
`getServiceName, getState, init, onServiceAccept, onServiceInit, onServiceRequest, sendServiceAccept, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### thread

    protected SshThread thread

  DOCUMENT ME!

Constructor Detail

### AsyncService

    public AsyncService(java.lang.String serviceName)

  Constructs an asyncronous service.

Parameters:
  `serviceName` - the name of the service
Since:
  0.2.0

Method Detail

### onStart

    protected void onStart()
                    throws java.io.IOException

  Implements the abstract `Service` method and starts the service thread.

  Specified by:
    `onStart` in class `Service`
  Throws:
    `java.io.IOException` - if an IO error occurs
  Since:
    0.2.0

### run

    public final void run()

  Implements the asyncronous services message loop.

  Specified by:
    `run` in interface `java.lang.Runnable`
  Since:
    0.2.0

### onStop

    protected abstract void onStop()

  The service thread calls this method when the thread is exiting.

  Since:
    0.2.0

### getAsyncMessageFilter

    protected abstract int[] getAsyncMessageFilter()

  Implement this method by returning the message ids of the asyncrounous messages your implementation wants to receive.

  Returns:
    an int array of message ids
  Since:
    0.2.0

### onMessageReceived

    protected abstract void onMessageReceived(SshMessage msg)
                                       throws java.io.IOException

  Called by the service thread when an asyncronous message is received.

  Parameters:
    `msg` - the message received
  Throws:
    `java.io.IOException` - if an IO error occurs
  Since:
    0.2.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD